from interface_adapters.product_controller import router as product_router
from interface_adapters.user_controller import router as user_router
from fastapi.middleware.cors import CORSMiddleware
from fastapi.staticfiles import StaticFiles
from fastapi.responses import RedirectResponse
from fastapi.responses import HTMLResponse
from fastapi.responses import FileResponse
from fastapi.requests import Request
from fastapi.exceptions import HTTPException
from fastapi import FastAPI
import uvicorn
import os


app = FastAPI()
app.include_router(product_router)
app.include_router(user_router)

# Allow CORS for all origins (for simplicity)
app.add_middleware(
    CORSMiddleware,
    allow_origins=["*"],
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)

@app.get("/", include_in_schema=False)
async def root():
    return RedirectResponse(url="/docs")
    
if __name__ == "__main__":
    uvicorn.run(app, host="127.0.0.1", port=8000)

