from typing import Optional, List

#dependency imports
from entities.product import Product

class IProductRepository:
    def get_product_by_id(self, product_id: int) -> Optional[Product]:
        """
        Abstract method to fetch product data by ID.
        """
        raise NotImplementedError("get_product_by_id must be implemented by a subclass")

    def get_all_products(self) -> Optional[List[Product]]:
        """
        Abstract method to fetch product data.
        """
        raise NotImplementedError("get_all_products must be implemented by a subclass")
